%global packname  fontBitstreamVera
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          0.1.1
Release:          4%{?dist}
Summary:          Fonts with 'Bitstream Vera Fonts' License

License:          Bitstream Vera
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:
# Suggests:
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         bitstream-vera-sans-fonts
Requires:         bitstream-vera-sans-mono-fonts
Requires:         bitstream-vera-serif-fonts
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    bitstream-vera-sans-fonts
BuildRequires:    bitstream-vera-sans-mono-fonts
BuildRequires:    bitstream-vera-serif-fonts

%description
Provides fonts licensed under the 'Bitstream Vera Fonts' license for the
'fontquiver' package.


%prep
%setup -q -c -n %{packname}

# Ensure we are replacing fonts by the same system fonts later.
grep ttf %{packname}/MD5 | sed -e 's!*inst!/usr/share!' -e 's!-fonts/!/!' | md5sum -c
# We don't provide woffs.
rm %{packname}/inst/fonts/bitstream-vera-fonts/*.woff
sed -i -e '/woff/d' %{packname}/MD5
# Remove bunfled Bitstream files that are not important for this package.
rm %{packname}/inst/fonts/{bitstream-vera-VERSION,Makefile}
rm %{packname}/inst/fonts/bitstream-vera-fonts/{*.TXT,local.conf}
sed -i -e '/Makefile/d' -e '/VERSION/d' -e '/TXT/d' -e '/local.conf/d' %{packname}/MD5


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

# Replace fonts by system fonts (note that this cannot be done in prep because
# R CMD INSTALL copies symlink targets.)
for f in %{buildroot}%{rlibdir}/%{packname}/fonts/bitstream-vera-fonts/*.ttf; do
    rm $f
    ln -s /usr/share/fonts/bitstream-vera/${f##*/} $f
done


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%license %{rlibdir}/%{packname}/LICENCE
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/fonts


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Sep 04 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.1.1-3
- Fix unbundling of fonts

* Thu Aug 30 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.1.1-2
- Remove unnecessary bundled files from package

* Tue Aug 28 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.1.1-1
- initial package for Fedora
